import { jsx } from "react/jsx-runtime";
import { SockIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Sock = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "Sock", ...props, children: /* @__PURE__ */ jsx(SockIcon, { weight: variant }) });
  }
);
Sock.displayName = "Sock";
Object.assign(Sock, { isGdsIcon: true });
export {
  Sock
};
